Requirements API
Get a requirement
Fetch one requirement with tag names, linked test IDs and coverage. Requires requirement:view. Malformed IDs return 404.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringRequirement ID
Format
uuidRequirement
application/json- response
requirement?Requirement as returned by the detail, create, update and test-link endpoints.
curl -X GET 'https://demo.supercheck.dev/api/requirements/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "requirement": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "description": "string", "priority": "low", "tags": [ "string" ], "externalId": "string", "externalUrl": "string", "testIds": [ "59250cde-f034-4b67-8215-4abdcfc601c8" ], "coverage": { "status": "covered", "linkedTestCount": 0, "passedTestCount": 0, "failedTestCount": 0, "lastEvaluatedAt": "2019-08-24T14:15:22Z" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}